weka.knowledgeflow

## Class DelayedCallbackNotifierDelegate

- java.lang.Object
- - weka.knowledgeflow.DelayedCallbackNotifierDelegate

- All Implemented Interfaces:
    CallbackNotifierDelegate

      public class DelayedCallbackNotifierDelegate
      extends java.lang.Object
      implements CallbackNotifierDelegate

  Implementation of a CallbackNotifierDelegate that stores the ExecutionResult and only notifies the callback when the notifyNow() method is called.
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelayedCallbackNotifierDelegate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notifyCallback(StepTaskCallback callback, StepTask taskExecuted, ExecutionResult result)` Notify the callback.
    `void` | `notifyNow()` Do the notification now

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelayedCallbackNotifierDelegate

          public DelayedCallbackNotifierDelegate()

  - ### Method Detail

    - #### notifyCallback

          public void notifyCallback(StepTaskCallback callback,
                                     StepTask taskExecuted,
                                     ExecutionResult result)
                              throws java.lang.Exception

      Notify the callback. This implementation stores the result, and only notifies the callback when the notifyNow() method is called.
      Specified by:
        `notifyCallback` in interface `CallbackNotifierDelegate`
      Parameters:
        `callback` - the callback to notify
        `taskExecuted` - the StepTask that was executed
        `result` - the ExecutionResult that was produced
      Throws:
        `java.lang.Exception` - if a problem occurs

    - #### notifyNow

          public void notifyNow()
                         throws java.lang.Exception

      Do the notification now
      Throws:
        `java.lang.Exception` - if a problem occurs